/* m68hc05.h -- Motorola 68HC05 ELF support
   Copyright 2004 Free Software Foundation, Inc.
   Copyright 2004 Martin Kgler
   Contributed by Martin Kgler (mkoegler@auto.tuwien.ac.at)

   This file is part of BFD, the Binary File Descriptor library.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA.  */

#ifndef _ELF_M68HC05_H
#define _ELF_M68HC05_H

#include "elf/reloc-macros.h"

START_RELOC_NUMBERS (elf_m68hc05_reloc_type)
  RELOC_NUMBER (R_M68HC05_NONE, 0)
  RELOC_NUMBER (R_M68HC05_8, 1)
  RELOC_NUMBER (R_M68HC05_16, 2)
  RELOC_NUMBER (R_M68HC05_32, 3)
  RELOC_NUMBER (R_M68HC05_HI8, 4)
  RELOC_NUMBER (R_M68HC05_LO8, 5)
  RELOC_NUMBER (R_M68HC05_HLO8, 6)
  RELOC_NUMBER (R_M68HC05_HHI8, 7)
  RELOC_NUMBER (R_M68HC05_HI16, 8)
  RELOC_NUMBER (R_M68HC05_LO16, 9)
  RELOC_NUMBER (R_M68HC05_PCREL_8, 10)
  RELOC_NUMBER (R_M68HC05_PCREL_16, 11)
  RELOC_NUMBER (R_M68HC05_PCREL_32, 12)
  RELOC_NUMBER (R_M68HC05_RELAX_8, 13)
  RELOC_NUMBER (R_M68HC05_RELAX_16, 14)
  RELOC_NUMBER (R_M68HC05_RELAX_GROUP, 15)
  RELOC_NUMBER (R_M68HC05_SECTION_OFFSET8, 16)
  RELOC_NUMBER (R_M68HC05_SECTION_OFFSET16, 17)
  RELOC_NUMBER (R_M68HC05_RELAX_PCREL_8, 18)
END_RELOC_NUMBERS (R_M68HC05_max)


#endif
